Page MenuHomePhabricator

Add scowiki TFA to Explore feed
Closed, ResolvedPublic

Description

https://sco.wikipedia.org/wiki/Special:PrefixIndex/MediaWiki:Ffeed pages have been added :)
So, we can add them to the featured feed in MCS.

Only issue right now is that there is only one new featured article per month. That would look very repetitive in the app. I think we'll need to implement a mechanism to suppress duplicate entries from prior days. For example, the entry for Sept 1 is the same as for Sept 2, and so on for the whole month.

From https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)/Archive_159#Mobile_app_localization.3F
(Follow-up from T148680.)

Event Timeline

bearND created this task.Sep 12 2017, 10:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2017, 10:44 PM
bearND updated the task description. (Show Details)Sep 12 2017, 10:46 PM
bearND updated the task description. (Show Details)

Change 377679 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] TFA: add scowiki

https://gerrit.wikimedia.org/r/377679

Change 377679 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] TFA: add scowiki

https://gerrit.wikimedia.org/r/377679

Mentioned in SAL (#wikimedia-operations) [2017-09-20T20:34:46Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@e23bf66]: Update mobileapps to d46860e (T175759 T176263)

Mentioned in SAL (#wikimedia-operations) [2017-09-20T20:40:51Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@e23bf66]: Update mobileapps to d46860e (T175759 T176263) (duration: 06m 05s)

bearND closed this task as Resolved.Sep 29 2017, 5:05 PM
bearND claimed this task.
bearND updated the task description. (Show Details)Sep 29 2017, 6:35 PM